Subject: Re: bug#617: initscripts: brightness init script sets brightness to zero, thus blanking laptop display

From: Martin Steigerwald <[email-masked]>
Date: Thu, 23 Dec 2021 14:47:19 +0100

Mark,

Mark Hindley - 22.12.21, 12:47:55 CET:
> On Wed, Dec 22, 2021 at 11:19:17AM +0100, Martin Steigerwald wrote:
> > I'd really welcome this after I "bricked" another device due to
> > exactly this bug. I needed to put GRML to an USB stick and boot
> > from there in order to recover.
> 
> How does the attached patch look? Are you able to test?

I tested on a ThinkPad laptop with Intel graphics:

Without patch:

root@somehost:/var/lib/initscripts# cat brightness.intel 
512
root@somehost:/var/lib/initscripts# /etc/init.d/brightness stop
root@somehost:/var/lib/initscripts# cat brightness.intel 
0

With patch:

root@somehost:/var/lib/initscripts# echo 512 > brightness.intel 
root@somehost:/var/lib/initscripts# cat brightness.intel 
512

root@somehost:/var/lib/initscripts# /etc/init.d/brightness stop
root@somehost:/var/lib/initscripts# cat brightness.intel 
512

I think it should work.

Thanks,
-- 
Martin